package ru.tests.jpa.ejb;

import javax.persistence.*;
import java.io.Serializable;

@Entity (name = "EntityA")
@Table (name = "TBL_A")
public class EntityA implements Serializable
{
	private int id;
	private String f1;

	public EntityA()
	{
	}

	public EntityA(int id, String f1)
	{
		this.f1 = f1;
		this.id = id;
	}

	@Id
	@Column (name = "ID")
	public int getId()
	{
		return id;
	}

	public void setId(int id)
	{
		this.id = id;
	}

	@Basic
	@Column (name = "F1")
	public String getF1()
	{
		return f1;
	}

	public void setF1(String f1)
	{
		this.f1 = f1;
	}
}
